package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 药品使用单位基本信息数据子集
 * </p>
 *
 * @author Jason
 * @since 2025-06-06
 */
@Getter
@Setter
@TableName("drug_using_unit_base_info")
public class DrugUsingUnitBaseInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 事件流水号
     */
    private String eventId;

    /**
     * 药品使用单位名称
     */
    @JacksonXmlProperty(localName = "YPSYDWMC")
    private String ypsydwmc;

    /**
     * 卫生机构代码
     */
    @JacksonXmlProperty(localName = "WSJGDM")
    private String wsjgdm;

    /**
     * 执业许可证登记号/诊所备案编号
     */
    @JacksonXmlProperty(localName = "ZYXKZDJH")
    private String zyxkzdjh;

    /**
     * 统一社会信用代码
     */
    @JacksonXmlProperty(localName = "TYSHXYDM")
    private String tyshxydm;

    /**
     * 药品使用单位类型
     */
    @JacksonXmlProperty(localName = "YPSYDWLX")
    private String ypsydwlx;

    /**
     * 药品使用单位地址
     */
    @JacksonXmlProperty(localName = "YPSYDWDZ")
    private String ypsydwdz;

    /**
     * 药品使用单位地址-国家(或地区)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZGJHDQ")
    private String ypsydwdzgjhdq;

    /**
     * 接种单位地 址-省(直辖 市/自治区)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZSZXSZZQ")
    private String ypsydwdzszxszzq;

    /**
     * 药品使用单位地址-市(区/自治州/盟)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZSQZZZM")
    private String ypsydwdzsqzzzm;

    /**
     * 药品使用单位地址-县(自治县/县级市)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZXZZXXJS")
    private String ypsydwdzxzzxxjs;

    /**
     * 药品使用单位地址-乡(镇/街道办事处)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZXZJDBSC")
    private String ypsydwdzxzjdbsc;

    /**
     * 药品使用单位地址-村(街/路/弄等)
     */
    @JacksonXmlProperty(localName = "YPSYDWDZCJLLD")
    private String ypsydwdzcjlld;

    /**
     * 药品使用单位地址-门牌号码
     */
    @JacksonXmlProperty(localName = "YPSYDWDZMPHM")
    private String ypsydwdzmphm;

    /**
     * 固定电话号码
     */
    @JacksonXmlProperty(localName = "GDDHHM")
    private String gddhhm;

    /**
     * 传真号码
     */
    @JacksonXmlProperty(localName = "CZHM")
    private String czhm;

    /**
     * 电子信箱
     */
    @JacksonXmlProperty(localName = "DZXX")
    private String dzxx;

    /**
     * 联系人
     */
    @JacksonXmlProperty(localName = "LXR")
    private String lxr;

    /**
     * 联系电话
     */
    @JacksonXmlProperty(localName = "LXDH")
    private String lxdh;

    /**
     * 药品使用单位网址
     */
    @JacksonXmlProperty(localName = "YPSYDWWZ")
    private String ypsydwwz;

    /**
     * 企业类型
     */
    @JacksonXmlProperty(localName = "QYLX")
    private String qylx;

    /**
     * 企业小类
     */
    @JacksonXmlProperty(localName = "QYXL")
    private String qyxl;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除(0-否 1-是)
     */
    private Integer isDeleted;


}
